> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Bill of Materials Line Item

> This endpoint gets or creates a new bill of materials line item.

### Body

<ParamField body="id" type="string">
  This is the id of the bill of materials line item. If this is not provided, a new bill of materials line item will be created.
</ParamField>

### Response

<ResponseField name="id" type="string">
  This is the id of the bill of materials line item.
</ResponseField>

<ResponseField name="bill_of_materials_number" type="string">
  This is the number of the bill of materials to which the line item belongs.
</ResponseField>

<ResponseField name="line_type" type="string">
  This is the type or category of the line item.
</ResponseField>

<ResponseField name="part_name" type="string">
  This is the name of the part or item included in the bill of materials.
</ResponseField>

<ResponseField name="part_number" type="string">
  This is the number or code associated with the part or item.
</ResponseField>

<ResponseField name="purchase_supply_type" type="string">
  This is the type or category of the purchase/supply associated with the line item.
</ResponseField>

<ResponseField name="quantity" type="number">
  This is the quantity of the part or item required in the bill of materials.
</ResponseField>

<ResponseField name="status" type="string">
  This is the status or state of the line item.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request GET 'https://api.stateset.com/v1/bill_of_materials_line_item' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \
  --data-raw '{
      'id': '1'
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    {
      "id": "1",
      "bill_of_materials_number": "1",
      "line_type": "1",
      "part_name": "1",
      "part_number": "1",
      "purchase_supply_type": "1",
      "quantity": "1",
      "status": "1"
    }
  }
  ```
</ResponseExample>

### Bill Of Materials Line Item

| Name                        | Type    | Description                                                                 |
| --------------------------- | ------- | --------------------------------------------------------------------------- |
| bill\_of\_materials\_number | Text    | Number associated with the bill of materials to which the line item belongs |
| id                          | Text    | Unique identifier for the line item                                         |
| line\_type                  | Text    | Type or category of the line item                                           |
| part\_name                  | Text    | Name of the part or item included in the bill of materials                  |
| part\_number                | Text    | Number or code associated with the part or item                             |
| purchase\_supply\_type      | Text    | Type or category of the purchase/supply associated with the line item       |
| quantity                    | Numeric | Quantity of the part or item required in the bill of materials              |
| status                      | Text    | Status or state of the line item                                            |
